Dali Project/KnownIssues

From Eclipsepedia

< Dali Project
Revision as of 12:12, 11 June 2012 by Neil.hauge.oracle.com (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Known Issues

Dali 3.0 (Juno) Known Issues and limitations

Known Issues
Issue Bug Description
Multiple Persistence Unit Support 194833 Dali is currently unable to simultaneously support multiple persistence units in a single project. When working with multiple persistence units it is recommended to comment out all of the PU's in the persistence.xml that are not the particular PU that you want to work with.
Multi-project persistence unit 254480 Dali is currently unable to support the definition of a persistence unit across multiple Eclipse projects. One persistence.xml file is required per JPA project. The exception to this is the referencing of entities or JAR files on the project classpath (including other projects in the workspace), which is supported.
EclipseLink Mapping File Overrides 251237 Dali is currently unable to support overriding existing orm.xml metadata with an eclipselink-orm.xml. Non-conflicting metadata is supported. This limitation applies specifically to the case where metadata in the eclipselink-orm.xml overlaps existing content in the standard orm.xml file.
EclipseLink exclude-default-mappings 251548 Dali currently does not recognize the exclude-default-mappings setting in the eclipselink-orm.xml mapping file. Defaults mapping information will still appear in the UI and will be used for validation when this flag has been set.